Firefox3 and dependencies on firefox2,libxul,xulrunner

Joe Marcus Clarke marcus at marcuscom.com
Fri Apr 24 17:40:02 UTC 2009


On Thu, 2009-04-23 at 21:01 +0300, Lena at lena.kiev.ua wrote:
> Hi,
> 
> I uninstalled firefox 2, installed firefox 3 and use it. Later,
> portupgrade of librsvg2 began to build firefox 2 (I aborted it with ^C).
> Then I specified
> 
>     "graphics/librsvg2" => "WITH_GECKO=xulrunner",
> 
> in MAKE_ARGS in /usr/local/etc/pkgtools.conf . Now I'm trying to portupgrade
> mplayer-plugin, it also tried to build firefox 2. I tried
> 
>     "www/mplayer-plugin" => "WITH_GECKO=xulrunner",
> 
> but that gave an error message (xulrunner isn't an option). So, I tried
> 
>     "www/mplayer-plugin" => "WITH_GECKO=libxul",
> 
> then:
> 
> > ===>  libxul-1.9.0.7_3 conflicts with installed package(s):
> >       xulrunner-1.8.0.4_15
> >
> >       They install files into the same place.
> >       Please remove them first with pkg_delete(1).
> 
> What to do - to allow firefox2 to be installed along with firefox3?
> Will they conflict?

You can set the following in /etc/make.conf:

WITH_GECKO=libxul

Most ports have been taught to use libxul for Gecko.  However, firefox2
and firefox3 do not conflict.

Joe

-- 
PGP Key : http://www.marcuscom.com/pgp.asc
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 195 bytes
Desc: This is a digitally signed message part
Url : http://lists.freebsd.org/pipermail/freebsd-gnome/attachments/20090424/aefc2218/attachment.pgp


More information about the freebsd-gnome mailing list